#!/opt/alt/python37/bin/python3 -bb
# -*- coding: utf-8 -*-

# cloudlinux-config Utility to check Cloudlinux config
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import absolute_import

import sys

from clcommon.utils import is_root_or_exit
from clcommon.lib.cledition import is_cl_solo_edition


def main(argv):
    """
    Main run function
    """
    is_root_or_exit()
    if is_cl_solo_edition():
        from clconfig.config import ClConfigSolo
        cll = ClConfigSolo()
    else:
        from clconfig.config import ClConfig
        cll = ClConfig()
    return cll.run(argv)


if __name__ == "__main__":
    sys.exit(main(sys.argv[1:]))
