#!/opt/alt/python37/bin/python3 -bb
# -*- coding: utf-8 -*-

# cloudlinux-packages Utility to control lvectl packages
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import absolute_import
import sys

from clpackages.packages import CloudlinuxPackages
from clcommon.utils import is_root_or_exit
from clcommon.lib.cledition import lve_supported_or_exit


@lve_supported_or_exit
def main(argv):
    """
    Main run function
    """
    is_root_or_exit()
    cll = CloudlinuxPackages()
    return cll.run(argv)


if __name__ == "__main__":
    sys.exit(main(sys.argv[1:]))
