#!/opt/alt/python37/bin/python3 -bb
# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2020 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT
#

from __future__ import absolute_import


import argparse
from clwpos.daemon import daemon_main


if __name__ == '__main__':
    parser = argparse.ArgumentParser(prog='wpos-daemon',
                                     add_help=True,
                                     description='Cloudlinux WPOS daemon')
    parser.add_argument('action',
                        help='start|restart|stop|reload the Cloudlinux WPOS daemon',
                        choices=['start', 'restart', 'stop', 'reload'])
    parser.add_argument('--graceful', help='use with the "stop" action to cleanup all processes',
                        action='store_true', default=False)

    opts = parser.parse_args()
    daemon_main(opts)
