#!/opt/alt/python37/bin/python3 -bb
# -*- coding: utf-8 -*-

# redis_reloader.py Utility to reload redis for user. Should be run only under root
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2020 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT


# pylint: disable=no-absolute-import

import sys
import json
import traceback

from clwpos.utils import error_and_exit, is_run_under_user
from clwpos.reloader_redis_lib import reload_redis_for_user_wo_kill


if __name__ == "__main__":
    if is_run_under_user():
        error_and_exit(True, {'result': 'Redis runner should be run only under root'})
    try:
        user_name = sys.argv[1]
    except IndexError:
        error_and_exit(True, {'result': 'Redis runner error: username not passed'})
    try:
        result_dict = reload_redis_for_user_wo_kill(user_name)
        print(json.dumps(result_dict))
    except Exception:
        print(json.dumps({'result': 'Unexpected redis runner error: %(message)s', 'message': traceback.format_exc()}))
